<html>
    <head>
        {% load static %}
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>farhan_prima: IS Student Who Has Rp100m+ Revenue</title>
    </head>
    <style>
        .regular {  
            color: rgba(242,242,242,1);
            font-family: Roboto;
            font-weight: Regular;
            font-size: 1rem;
        }
        body {
            padding: 0;
            margin: 0;
            width: 100vw;
        }
        body section.form {
            display: flex;
            flex-flow: row wrap;
            background-color: rgba(12,28,33,1);
            justify-content: flex-start;
        }
        body section.form .box {
            display: flex;
            flex-flow: column wrap;
            border: 1px solid white;
            padding: 1rem;
            margin-top: 2rem;
            margin-left: 2rem;
        }
        body section.form .box p {
            margin-bottom: 2rem;
        }
        body section.form .box ul {
            margin-bottom: 2rem;
            padding-inline-start: 1rem;
        }
        body section.form .box form input.tambah-peserta[type=text]  {
            margin-bottom: 1rem; 
            padding-left: 0.5rem;
        }
        body section.form .box form input.tambah-peserta[type=text]:focus  {
            outline: none;
        }
        body section.form .box form button.tambah-peserta  {
            background-color: rgba(255,128,0,1);
            color: rgba(242,242,242,1);
            border-radius: 2px;
            border: 0;
            text-align: center;
            font-weight: bold;
            transition: 0.3s;
        }
        body section.form .box form button.tambah-peserta:hover  {
            background: rgb(204, 102, 0);
            color: rgb(204, 204, 204);
        }
        body section.form .box form button.tambah-peserta:focus  {
            outline: none;
        }
        body section.form .box form button.tambah-peserta p {
            margin: auto;
            padding: 0.5rem;
        }
    </style>

    <body>
        {% include 'base.html' %}
        <section class="form regular">
            {% for aktivitas in content %}
            <div class="box">
                <p style="text-align: center;">{{ aktivitas.nama }}</p>
                <ul>
                    {% for peserta in aktivitas.peserta_set.all %}
                    <li>{{ peserta.nama }}</li>
                    {% endfor %}
                </ul>
                <form action="tambah-peserta" method="POST">
                    {% csrf_token %}
                    <input name="nama" class="tambah-peserta" type="text" placeholder="Tulis namamu disini...">
                    <button class="tambah-peserta"><p>Tambah Peserta</p></button>
                </form>
            </div>
            {% endfor %}

            <div class="box" style="height: 18rem;">
                <p style="text-align: center; margin-bottom: 6rem;">Tambah Kegiatan</p>
                <form action="tambah-aktivitas" method="POST" style="display: flex; flex-flow: column wrap;">
                    {% csrf_token %}
                    <input type="text" class="tambah-peserta" name="nama" maxlength="50" required>
                    <button type="submit" class="tambah-peserta"><p>Tambah Kegiatan</p></button>
                </form>
            </div>
        </section>
    </body>
</html>